# Poco::Zip

# class AutoDetectInputStream

Library: Zip
Package: Zip
Header: Poco/Zip/AutoDetectStream.h

## Description

AutoDetectInputStream automatically detects the end of a stream using the Data Descriptor signature.

## Inheritance

Direct Base Classes: AutoDetectIOS, std::istream

All Base Classes: AutoDetectIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### AutoDetectInputStream

AutoDetectInputStream(
std::istream & istr,
const std::string & prefix = std::string (),
const std::string & postfix = std::string (),
bool reposition = false,
Poco::UInt32 start = 0,
bool needsZip64 = false
);

Creates the AutoDetectInputStream and connects it to the underlying stream.

## Destructor

### ~AutoDetectInputStream

~AutoDetectInputStream();

Destroys the AutoDetectInputStream.